<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "itemgrp.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["igsearch"];
$searchTerm = $_REQUEST["igsearch"];
$operator = $_REQUEST["igoperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["igfield"] == "1") {
        $cond = "AND `name` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["igfield"] == "1") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } 
}

$query = "SELECT `code`, `name`  FROM `itemgrp` WHERE code != '' $cond ORDER BY `code` DESC LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'     => $ctr,
        'keyfld'    => $keyfld,
        'code'      => $r[code],
        'name'      => $r[name],
        'action'    => "$file?mode=edit&code=$r[code]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
